org.pentaho.reporting.libraries.repository.zipwriter

## Class ZipRepository

- java.lang.Object
- - org.pentaho.reporting.libraries.repository.zipwriter.ZipRepository

- All Implemented Interfaces:
    Repository

      public class ZipRepository
      extends java.lang.Object
      implements Repository

  Creation-Date: 01.12.2006, 21:12:39
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipRepository(java.io.OutputStream out)`
    `ZipRepository(java.io.OutputStream out, int level)`
    `ZipRepository(java.io.OutputStream out, int level, MimeRegistry mimeRegistry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `MimeRegistry` | `getMimeRegistry()` Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
    `ContentLocation` | `getRoot()` Returns the repositories root directory entry.
    `void` | `writeContent(java.util.zip.ZipEntry entry, java.io.InputStream in, int method, int compression)`
    `void` | `writeDirectory(java.util.zip.ZipEntry entry)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipRepository

          public ZipRepository(java.io.OutputStream out,
                               int level,
                               MimeRegistry mimeRegistry)

    - #### ZipRepository

          public ZipRepository(java.io.OutputStream out,
                               int level)

    - #### ZipRepository

          public ZipRepository(java.io.OutputStream out)

  - ### Method Detail

    - #### getRoot

          public ContentLocation getRoot()
                                  throws ContentIOException

      Description copied from interface: `Repository`
      Returns the repositories root directory entry.
      Specified by:
        `getRoot` in interface `Repository`
      Returns:
        the root directory.
      Throws:
        `ContentIOException` - if an error occurs.

    - #### getMimeRegistry

          public MimeRegistry getMimeRegistry()

      Description copied from interface: `Repository`
      Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
      Specified by:
        `getMimeRegistry` in interface `Repository`
      Returns:
        the mime registry.
      See Also:
        `MimeRegistry`

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeDirectory

          public void writeDirectory(java.util.zip.ZipEntry entry)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeContent

          public void writeContent(java.util.zip.ZipEntry entry,
                                   java.io.InputStream in,
                                   int method,
                                   int compression)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`